New Security Vulnerabilities Affect Computer Processors | Information Technology | University of Pittsburgh
!

New Security Vulnerabilities Affect Computer Processors

Thursday, January 4, 2018 - 17:45

 

CSSD is aware of two newly discovered security vulnerabilities (known as Meltdown and Spectre) that affect modern computer processors. These vulnerabilities affect Intel and AMD processors. Exploitation of either vulnerability could allow an attacker access to restricted information on the affected device.

CSSD recommends the following actions to protect your own and other managed devices from these vulnerabilities. Please execute these steps in the order shown below:

  1. Update your antivirus definitions and software.

For example, if you are running Symantec Endpoint Protection, then run LiveUpdate.

  1. Update your computer’s operating system.

For example, if you are running Microsoft Windows, then run Windows Update.

Taking these two steps should make great strides in protecting your system from these vulnerabilities. You can learn more on our Meltdown/Spectre page.

Additional information about these vulnerabilities is available on the following websites:

Please contact the Technology Help Desk at 412 624-HELP [4357] if you have any questions regarding this announcement.